@charset "utf-8";

/* CSS Document */



body {
	margin-top:0px;
	margin-left:0px;
  height:505px;
	/*margin:0 auto;*/
	background-color:#000;
  /*background-image: url('../assets/wp.jpg');*/
}

#enchant-stage {
    /*background-color: #222;*/
    background-color: #ccc;
    margin-left: -160px;
    left: 50%; 
} 

.paper {
  position: absolute;
  top:0px;
  left:100px; 
  width: 20px;
  height: 20px;   

  -webkit-animation-name: bounce2;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 4.2s;

  -moz-animation-name: bounce2;
  -moz-animation-iteration-count: infinite;
  -moz-animation-direction: normal;
  -moz-animation-duration: 4.2s;

  -ms-animation-name: bounce2;
  -ms-animation-iteration-count: infinite;
  -ms-animation-direction: normal;
  -ms-animation-duration: 4.2s;

  -animation-name: bounce2;
  -animation-iteration-count: infinite;
  -animation-direction: normal;
  -animation-duration: 4.2s;

}


#debug{
	position:absolute;
	top:0px;
	left:70%;
	background-color:#CCCCFF;
	display:none;
}

.txtrandom{
  font-size:60px;
  font-weight:bold;
  font-family:"Courier New", Courier, monospace;
  color: #00f; 
  text-align: center;
}

.txtload{
	margin-top:2px;
	font-size:60px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	color:#fff;
	cursor:default;
	border:medium;	
}

.txtloading{

	margin-top:10px;
	font-size:18px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	text-align:center;
	color:#000;
	cursor:default;
	border:medium;
		
}

.txtresult{

	margin-top:10px;
	font-size:25px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	text-align:center;
	color:#900;
	cursor:default;
	border:medium;
		
}

.loading{

	position:absolute;
	text-align:center;

	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;

	background: -moz-linear-gradient(top, #a8cee0 0%, #e3edf7 44%, #e8eaed 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a8cee0), color-stop(44%,#e3edf7), color-stop(100%,#e8eaed)); /* Chrome,Safari4+ */	

	
	display:block;
	width:200px;
	height:50px;
	opacity:0.8;
}



.button{
	position:absolute;
	text-align:center;

	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	background: -moz-linear-gradient(top, #a8cee0 0%, #e3edf7 44%, #e8eaed 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a8cee0), color-stop(44%,#e3edf7), color-stop(100%,#e8eaed)); /* Chrome,Safari4+ */	

	display:block;
	width:200px;
	height:50px;
	opacity:0.9;
}



.txtbutton{
	margin-top:10px;
	margin-left:10px;
	font-size:14px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	color:#000;
	cursor:default;
	border:medium;
}



.txtscore{
	margin-top:10px;
	text-align:right;
	font-size:18px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	color:#fff;
	cursor:default;
}

.txtcombo{
	margin-top:0px;
	text-align:left;
	font-size:40px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	color:#090;
	cursor:default;
}

.txterr{
	margin-top:10px;
	text-align:center;
	font-size:18px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	color:#000;
	cursor:default;
}



.txtcoin{
	margin-top:10px;
	text-align:center;
	font-size:45px;
	font-weight:bold;
	font-family:"Courier New", Courier, monospace;
	color:#fff;
	cursor:default;
}


/*--------------------------------------------------------  DEFAULT CLASS ANIMATION --------------------------------------------------------*/
@-webkit-keyframes bounce2 {

  from { opacity:1;}

  to {
    top: 900px;
    opacity:1;
    -webkit-transform: rotateZ(360deg) rotateY(360deg);
    -moz-transform: rotateZ(360deg) rotateY(360deg);
  }
}



@-moz-keyframes bounce2 {

  from { opacity:1;}

  to {
    top: 900px;
    opacity:1;
    -webkit-transform: rotateZ(360deg) rotateY(360deg);
    -moz-transform: rotateZ(360deg) rotateY(360deg);
  }
}

@-ms-keyframes bounce2 {

  from { opacity:1;}

  to {
    top: 900px;
    opacity:1;
    -webkit-transform: rotateZ(360deg) rotateY(360deg);
    -moz-transform: rotateZ(360deg) rotateY(360deg);
  }
}
.fadeout{
  -webkit-animation-name: fadehide;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1s;
  -webkit-animation-delay: 0s;

  -moz-animation-name: fadehide;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1s;
  -moz-animation-delay: 0s;
}

.fadein_scale{

  -webkit-animation-name: fadeshow_sc;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: fadeshow_sc;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1s;
  -moz-animation-delay: 0s;
}

.fadein{

  -webkit-animation-name: fadeshow;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: fadeshow;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1s;
  -moz-animation-delay: 0s;
}

.moveupdown{
  -webkit-animation-name: upmovedown;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1.5s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: upmovedown;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1.5s;
  -moz-animation-delay: 0s;
}

.moveupdown2{
  -webkit-animation-name: upmovedown;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1.2s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: upmovedown;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1.2s;
  -moz-animation-delay: 0s;
}

.moveup{
  -webkit-animation-name: upmove,fadeshow;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 0.5s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: upmove,fadeshow;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 0.5s;
  -moz-animation-delay: 0s;
}

.fadein_delay{

  -webkit-animation-name: fadeshow;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1s;
  -webkit-animation-delay: 1s;


  -moz-animation-name: fadeshow;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1s;
  -moz-animation-delay: 1s;
}



.fadein2{

  -webkit-animation-name: fadeshow;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 2s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: fadeshow;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 2s;
  -moz-animation-delay: 0s;
}


.fade5{

  -webkit-animation-name: fadeshow;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1s;
  -webkit-animation-delay: 4s;


  -moz-animation-name: fadeshow;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1s;
  -moz-animation-delay: 4s;
}

.sizescale{
  -webkit-animation-name: zoomin;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-direction: normal;
  -webkit-animation-duration: 1s;
  -webkit-animation-delay: 0s;


  -moz-animation-name: zoomin;
  -moz-animation-iteration-count: 1;
  -moz-animation-direction: normal;
  -moz-animation-duration: 1s;
  -moz-animation-delay: 0s;
}

/*--------------------------------------------------------  DEFAULT CLASS ANIMATION --------------------------------------------------------*/

/*--------------------------------------------------------  DEFAULT ANIMATION --------------------------------------------------------*/

@-webkit-keyframes zoomin {
  from { -webkit-transform:scale(0,0) }
  
  40%{
	   -webkit-transform:scale(1,1);
  }
  
  70%{
	  -webkit-transform:scale(0.9,0.9);
  }  

  to{ 
	  -webkit-transform:scale(1,1);
	 * -webkit-animation-timing-function: ease-in-out;
  }
}

@-moz-keyframes zoomin {
  from { -moz-transform:scale(0,0); }
  
  40%{
	   -webkit-transform:scale(1,1);
  }
  
  70%{
	  -webkit-transform:scale(0.9,0.9);
  } 
  
  to{ 
	  -moz-transform:scale(1,1);
	  *-moz-animation-timing-function: ease-in-out;
  }
}


@-webkit-keyframes upmovedown {
  from { top:425px; }
  
  40%{
	 top:260px;
  }
  
  70%{
	 top:260px;
  } 

  to{ 

  top:425px;

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }
}

@-moz-keyframes upmovedown {
  from { top:425px; }
  
  40%{
	 top:260px;
  }
  
  70%{
	 top:260px;
  }     

  to{ 

  top:425px;

  -webkit-animation-timing-function: ease-out;

  -moz-animation-timing-function: ease-out;

  }
}

@-webkit-keyframes upmove {
  from { top:294px; }

  to{ 

  top:254px;

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }
}

@-moz-keyframes upmove {
  from { top:294px; }

  to{ 

  top:254px;

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }
}

@-webkit-keyframes slidein {

  from { left:-150px; }

  to{ 

  left:-60px;

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}



@-moz-keyframes slidein {

  from { left:-150px; }

  to{ 

  left:-60px;

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}

@-webkit-keyframes fadeshow_sc {

  from { opacity:0; scale:0.5; }

  to{ 

  opacity:1; 
  scale:1;

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}

@-moz-keyframes fadeshow_sc {

  from { opacity:0; }

  to{ 

  opacity:1; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}



@-webkit-keyframes fadeshow {

  from { opacity:0; }

  to{ 

  opacity:1; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}

@-moz-keyframes fadeshow {

  from { opacity:0; }

  to{ 

  opacity:1; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}

@-webkit-keyframes fadehide2 {

  from { opacity:0.7; }

  to{ 

  opacity:0; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}



@-moz-keyframes fadehide2 {
  from { opacity:0.7; }

  to{ 

  opacity:0; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }	

}



@-webkit-keyframes fadehide {
  from { opacity:1; }
  to{ 

  opacity:0; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}



@-moz-keyframes fadehide {
  from { opacity:1; }
  to{ 

  opacity:0; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }	

}




@-webkit-keyframes alpha {
  from { opacity:0; }

  to{ 

  opacity:0.5; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}



@-moz-keyframes alpha {
  from { opacity:0; }

  to{ 

  opacity:0.5; 

  -webkit-animation-timing-function: ease-in;

  -moz-animation-timing-function: ease-in;

  }

}



@-webkit-keyframes helpdown {
	from {
		top: 0px;
	}

	to {
		top: 420px;
	}

}



@-moz-keyframes helpdown {
	from {
		top: 0px;
	}
	to {
		top: 420px;
	}

}



@-webkit-keyframes helpup {
	from {
		top: 420px;
	}
	to {
		top: 0px;
	}

}



@-moz-keyframes helpup {
	from {
		top: 420px;
	}
	to {
		top: 0px;
	}

}

/*--------------------------------------------------------  DEFAULT ANIMATION --------------------------------------------------------*/






















